LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XRelativeTextContentInsert Interface Referencepublished

makes it possible to insert new text contents before or after existing text contents. More...

`import"XRelativeTextContentInsert.idl";`

Inheritance diagram for XRelativeTextContentInsert:

## Public Member Functions
void | insertTextContentBefore ([in] XTextContent xNewContent, [in] XTextContent xSuccessor) raises ( com::sun::star::lang::IllegalArgumentException )
| inserts text the new text content before of the successor argument. More...
void | insertTextContentAfter ([in] XTextContent xNewContent, [in] XTextContent xPredecessor) raises ( com::sun::star::lang::IllegalArgumentException )
| inserts text the new text content after the predecessor argument. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to insert new text contents before or after existing text contents.

Deprecated:

Developers Guide
  Text Documents - Inserting a Paragraph where no Cursor can go

## Member Function Documentation

## ◆ insertTextContentAfter()

void insertTextContentAfter | ( | [in] XTextContent | xNewContent,
|  | [in] XTextContent | xPredecessor
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

inserts text the new text content after the predecessor argument.

This is helpful to insert paragraphs after text tables especially in headers, footers or text frames.

## ◆ insertTextContentBefore()

void insertTextContentBefore | ( | [in] XTextContent | xNewContent,
|  | [in] XTextContent | xSuccessor
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

inserts text the new text content before of the successor argument.

This is helpful to insert paragraphs before of text tables.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XRelativeTextContentInsert.idl